Support Announcement for Mac OS X 10.6 and 10.7

Top Articles


Summary

Retrospect 16.1 is the last version of Retrospect for Mac to support Mac OS X versions 10.6 (Snow Leopard) and 10.7 (Lion). In addition, Retrospect Client 16.1 for Mac is the last version of Retrospect Client for Mac to support Mac OS X versions 10.6 and 10.7. Retrospect 16.5 and higher will continue to support Retrospect Client 16.1 for client support of 10.6 and 10.7.

Product Alert

You will not be able to install Retrospect 16.5 for Mac or Retrospect Client 16.5 for Mac on 10.6 and 10.7. The installer will fail with a message that you need a more recent version of the operating system.

Details

With macOS Catalina, Apple requires app notarization for all applications. However, to support app notarization, Retrospect cannot support 10.6 and 10.7, so to be compatible with the latest version of macOS, Retrospect Backup 16.5 drops support for 10.6 and 10.7.

Retrospect Backup celebrates its 30th anniversary this year, and the Retrospect team understands how many customers utilize Retrospect on older hardware and software. Mac OS X Snow Leopard (10.6) was released ten years ago in 2009, and the Engineering team has worked hard to ensure Retrospect works on the latest versions of Apple’s operating system as well as the earliest versions possible. Time permitting, the team will make certain fixes available via Retrospect 16.1, but new features will only be available on the latest version.


Last Update: October 1, 2019